List tables in database
curl --request GET \
--url https://{organization}.data.credibledata.com/api/v0/environments/{environmentName}/connections/{connectionName}/schemas/{schemaName}/tables \
--header 'Authorization: Bearer <token>'import requests
url = "https://{organization}.data.credibledata.com/api/v0/environments/{environmentName}/connections/{connectionName}/schemas/{schemaName}/tables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.data.credibledata.com/api/v0/environments/{environmentName}/connections/{connectionName}/schemas/{schemaName}/tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{organization}.data.credibledata.com/api/v0/environments/{environmentName}/connections/{connectionName}/schemas/{schemaName}/tables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{organization}.data.credibledata.com/api/v0/environments/{environmentName}/connections/{connectionName}/schemas/{schemaName}/tables"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{organization}.data.credibledata.com/api/v0/environments/{environmentName}/connections/{connectionName}/schemas/{schemaName}/tables")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{organization}.data.credibledata.com/api/v0/environments/{environmentName}/connections/{connectionName}/schemas/{schemaName}/tables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"resource": "<string>",
"source": "<string>",
"columns": [
{
"name": "<string>",
"type": "<string>"
}
]
}
]{
"message": "<string>",
"details": "<string>"
}{
"message": "<string>",
"details": "<string>"
}{
"message": "<string>",
"details": "<string>"
}{
"message": "<string>",
"details": "<string>"
}connections
List tables in database
Retrieves a list of all tables and views available in the specified database schema. This endpoint is useful for discovering available data sources and exploring the database structure. The schema must exist in the connection for this operation to succeed.
GET
/
environments
/
{environmentName}
/
connections
/
{connectionName}
/
schemas
/
{schemaName}
/
tables
List tables in database
curl --request GET \
--url https://{organization}.data.credibledata.com/api/v0/environments/{environmentName}/connections/{connectionName}/schemas/{schemaName}/tables \
--header 'Authorization: Bearer <token>'import requests
url = "https://{organization}.data.credibledata.com/api/v0/environments/{environmentName}/connections/{connectionName}/schemas/{schemaName}/tables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.data.credibledata.com/api/v0/environments/{environmentName}/connections/{connectionName}/schemas/{schemaName}/tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{organization}.data.credibledata.com/api/v0/environments/{environmentName}/connections/{connectionName}/schemas/{schemaName}/tables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{organization}.data.credibledata.com/api/v0/environments/{environmentName}/connections/{connectionName}/schemas/{schemaName}/tables"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{organization}.data.credibledata.com/api/v0/environments/{environmentName}/connections/{connectionName}/schemas/{schemaName}/tables")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{organization}.data.credibledata.com/api/v0/environments/{environmentName}/connections/{connectionName}/schemas/{schemaName}/tables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"resource": "<string>",
"source": "<string>",
"columns": [
{
"name": "<string>",
"type": "<string>"
}
]
}
]{
"message": "<string>",
"details": "<string>"
}{
"message": "<string>",
"details": "<string>"
}{
"message": "<string>",
"details": "<string>"
}{
"message": "<string>",
"details": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Name of the environment Standard identifier pattern for resource names
Pattern:
^[a-zA-Z0-9_-]+$Name of the connection Standard identifier pattern for resource names
Pattern:
^[a-zA-Z0-9_-]+$Name of the schema Standard identifier pattern for resource names
Pattern:
^[a-zA-Z0-9_-]+$Query Parameters
List of table names to filter results. When provided, only returns metadata for the specified tables. When omitted, returns all tables in the schema.
Was this page helpful?